/* 
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA 02110-1301  USA
 */

#include "stdafx.h"

#include <mforms/mforms.h>

using namespace mforms;

//--------------------------------------------------------------------------------------------------

Popup::Popup(PopupStyle style)
{
  _popup_impl= &ControlFactory::get_instance()->_popup_impl;
  
  _popup_impl->create(this, style);
}

//--------------------------------------------------------------------------------------------------

void Popup::set_needs_repaint()
{
  _popup_impl->set_needs_repaint(this);
}

//--------------------------------------------------------------------------------------------------

void Popup::set_size(int width, int height)
{
  _popup_impl->set_size(this, width, height);
}

//--------------------------------------------------------------------------------------------------

int Popup::show(int spot_x, int spot_y)
{
  return _popup_impl->show(this, spot_x, spot_y);
}

//--------------------------------------------------------------------------------------------------

MySQL::Geometry::Rect mforms::Popup::get_content_rect()
{
  return _popup_impl->get_content_rect(this);
}

//--------------------------------------------------------------------------------------------------
